class tomcat::javaora {
  group { 'serviceusrgroup':
    ensure => 'present',
    before => User['jersey'],
  }

  user { 'jersey':
    home    => '/home/jersey',
    gid     => 'servicesusrgroup',
    comment => 'User to Run servers',
  }

  file { ['/usrdata/archive', '/usrdata/apps/java']: ensure => 'directory',}

  archive { "/usrdata/archive/${tomcat::jreversion}":
    ensure       => present,
    extract      => true,
    extract_path => '/usrdata/apps/java/',
    source       => $tomcat::params::jredownloadpath,
    creates      => "/usrdata/apps/java/${tomcat::jdkversion}",
  }

  exec { 'add java paths':
    cwd     => '/usrdata/apps/java',
    command => "bash -c 'alternatives --install /usr/bin/java java /usrdata/apps/java/${tomcat::jdkversion}/bin/java 100 --slave /usr/bin/keytool keytool /usrdata/apps/java/${tomcat::jdkversion}//bin/keytool  --slave /usr/bin/rmiregistry rmiregistry /usrdata/apps/java/${tomcat::jdkversion}/bin/rmiregistry'",
  }

  exec { 'add java paths3':
    cwd     => '/usrdata/apps/java',
    command => "bash -c 'alternatives --install /usr/bin/javac javac /usrdata/apps/java/${tomcat::jdkversion}/bin/javac 100 --slave /usr/bin/jar jar /usrdata/apps/java/${tomcat::jdkversion}/bin/jar --slave /usr/bin/rmic rmic /usrdata/apps/java/${tomcat::jdkversion}/bin/rmic'",
  }

  exec { 'add java paths4':
    cwd     => '/usrdata/apps/java',
    command => "bash -c 'alternatives --install /usr/bin/servertool servertool /usrdata/apps/java/${tomcat::jdkversion}/bin/servertool 100'",
  }

  file { '/etc/profile.d':
    ensure => directory,
    before => File['/etc/profile.d/setjvmparams.sh'],
  }

  file { '/etc/profile.d/setjvmparams.sh':
    ensure => file,
    before => File_line['/etc/profile.d/setjvmparams.sh'],
  }

  file_line { '/etc/profile.d/setjvmparams.sh':
    path => '/etc/profile.d/setjvmparams.sh',
    line => "export JAVA_HOME=/usrdata/apps/java/${tomcat::jdkversion}\nexport JRE_HOME=/usrdata/apps/java/${tomcat::jdkversion}/jre\nexport PATH=\"/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:\$JAVA_HOME/bin\"",
  }

  exec { 'source java': command => "bash -c 'source /etc/profile.d'", }
}