class tomcat::tomcatapiconf {
  archive { '/usrdata/zipfiles/configfiles/tomcatconfig.zip':
    ensure       => present,
    extract      => true,
    extract_path => '/usrdata/zipfiles/configfiles',
    source       => 'http://10.140.224.220:8080/repository/snwdevops/tomcat/api/configuration/conf/1/conf-1.zip',
    creates      => '/usrdata/zipfiles/configfiles/',
  }

  exec { '/usrdata/zipfiles/configfiles/unzip tomcatconfig.zip':
    cwd      => '/usrdata/zipfiles/configfiles/',
    provider => shell,
    creates  => '/usrdata/zipfiles/configfiles/conf',
  }

  file { '/usrdata/apps/jiolib':
    source  => '/usrdata/zipfiles/configfiles/jiolib',
    recurse => true,
  }

  file { "/usrdata/apps/appserver/apache-tomcat-${tomcat::tomcatversion}/lib":
    source  => '/usrdata/zipfiles/configfiles/libs',
    recurse => true,
  }

  file { "/usrdata/apps/appserver/apache-tomcat-${tomcat::tomcatversion}/conf/catalina.properties":
    ensure => file,
    owner  => root,
    source => '/usrdata/zipfiles/configfiles/conf/catalina.properties',
  }

  file { "/usrdata/apps/appserver/apache-tomcat-${tomcat::tomcatversion}/conf/server.xml":
    ensure => file,
    owner  => root,
    source => '/usrdata/zipfiles/configfiles/cong/server.xml',
  }

  file { "/usrdata/apps/appserver/apache-tomcat-${tomcat::tomcatversion}/conf/context.xml":
    ensure => file,
    owner  => root,
    source => '/usrdata/zipfiles/configfiles/conf/context.xml',
  }

  file { "/usrdata/apps/appserver/apache-tomcat-${tomcat::tomcatversion}/bin/setenv.sh":
    ensure => file,
    owner  => root,
    source => '/usrdata/zipfiles/configfiles/conf/setenv.sh',
  }

  file { '/etc/profile':
    ensure => file,
    owner  => root,
    source => '/usrdata/zipfiles/configfiles/conf/profile',
  }

}